## org.eclipse.emf.ecore.util
Class BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl

    java.lang.Object
      org.eclipse.emf.ecore.util.BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl

All Implemented Interfaces:
  BasicExtendedMetaData.EClassifierExtendedMetaData

Enclosing class:
  BasicExtendedMetaData

    public class BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl

extends java.lang.Object
implements BasicExtendedMetaData.EClassifierExtendedMetaData

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.BasicExtendedMetaData.EClassifierExtendedMetaData
`BasicExtendedMetaData.EClassifierExtendedMetaData.Holder`

Field Summary
`protected EDataType` `baseType`
`protected int` `derivationKind`
`protected EDataType` `eDataType`
`protected java.util.List<java.lang.String>` `enumerationLiterals`
`protected EDataType` `itemType`
`protected java.util.List<EDataType>` `memberTypes`
`protected java.lang.String` `name`
`protected java.util.List<java.lang.String>` `pattern`
`protected int` `whiteSpace`

Constructor Summary
`BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl(EDataType eDataType)`

Method Summary
`EDataType` `getBaseType()`
`int` `getContentKind()`
`int` `getDerivationKind()`
`java.util.List<java.lang.String>` `getEnumerationFacet()`
`int` `getFractionDigitsFacet()`
`EDataType` `getItemType()`
`int` `getLengthFacet()`
`java.lang.String` `getMaxExclusiveFacet()`
`java.lang.String` `getMaxInclusiveFacet()`
`int` `getMaxLengthFacet()`
`java.util.List<EDataType>` `getMemberTypes()`
`java.lang.String` `getMinExclusiveFacet()`
`java.lang.String` `getMinInclusiveFacet()`
`int` `getMinLengthFacet()`
`java.lang.String` `getName()`
`java.util.List<java.lang.String>` `getPatternFacet()`
`int` `getTotalDigitsFacet()`
`int` `getWhiteSpaceFacet()`
`void` `setBaseType(EDataType baseType)`
`void` `setContentKind(int kind)`
`void` `setEnumerationFacet(java.util.List<java.lang.String> literals)`
`void` `setFractionDigitsFacet(int digits)`
`void` `setItemType(EDataType itemType)`
`void` `setLengthFacet(int length)`
`void` `setMaxExclusiveFacet(java.lang.String literal)`
`void` `setMaxInclusiveFacet(java.lang.String literal)`
`void` `setMaxLengthFacet(int maxLength)`
`void` `setMemberTypes(java.util.List<EDataType> memberTypes)`
`void` `setMinExclusiveFacet(java.lang.String literal)`
`void` `setMinInclusiveFacet(java.lang.String literal)`
`void` `setMinLengthFacet(int minLength)`
`void` `setName(java.lang.String name)`
`void` `setPatternFacet(java.util.List<java.lang.String> pattern)`
`void` `setTotalDigitsFacet(int digits)`
`void` `setWhiteSpaceFacet(int whiteSpace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eDataType

    protected EDataType eDataType

### name

    protected java.lang.String name

### baseType

    protected EDataType baseType

### itemType

    protected EDataType itemType

### memberTypes

    protected java.util.List<EDataType> memberTypes

### derivationKind

    protected int derivationKind

### whiteSpace

    protected int whiteSpace

### enumerationLiterals

    protected java.util.List<java.lang.String> enumerationLiterals

### pattern

    protected java.util.List<java.lang.String> pattern

Constructor Detail

### BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl

    public BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl(EDataType eDataType)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getContentKind

    public int getContentKind()

  Specified by:
    `getContentKind` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setContentKind

    public void setContentKind(int kind)

  Specified by:
    `setContentKind` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getDerivationKind

    public int getDerivationKind()

  Specified by:
    `getDerivationKind` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getBaseType

    public EDataType getBaseType()

  Specified by:
    `getBaseType` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setBaseType

    public void setBaseType(EDataType baseType)

  Specified by:
    `setBaseType` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getItemType

    public EDataType getItemType()

  Specified by:
    `getItemType` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setItemType

    public void setItemType(EDataType itemType)

  Specified by:
    `setItemType` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getMemberTypes

    public java.util.List<EDataType> getMemberTypes()

  Specified by:
    `getMemberTypes` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setMemberTypes

    public void setMemberTypes(java.util.List<EDataType> memberTypes)

  Specified by:
    `setMemberTypes` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getWhiteSpaceFacet

    public int getWhiteSpaceFacet()

  Specified by:
    `getWhiteSpaceFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setWhiteSpaceFacet

    public void setWhiteSpaceFacet(int whiteSpace)

  Specified by:
    `setWhiteSpaceFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getEnumerationFacet

    public java.util.List<java.lang.String> getEnumerationFacet()

  Specified by:
    `getEnumerationFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setEnumerationFacet

    public void setEnumerationFacet(java.util.List<java.lang.String> literals)

  Specified by:
    `setEnumerationFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getPatternFacet

    public java.util.List<java.lang.String> getPatternFacet()

  Specified by:
    `getPatternFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setPatternFacet

    public void setPatternFacet(java.util.List<java.lang.String> pattern)

  Specified by:
    `setPatternFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getTotalDigitsFacet

    public int getTotalDigitsFacet()

  Specified by:
    `getTotalDigitsFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setTotalDigitsFacet

    public void setTotalDigitsFacet(int digits)

  Specified by:
    `setTotalDigitsFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getFractionDigitsFacet

    public int getFractionDigitsFacet()

  Specified by:
    `getFractionDigitsFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setFractionDigitsFacet

    public void setFractionDigitsFacet(int digits)

  Specified by:
    `setFractionDigitsFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getLengthFacet

    public int getLengthFacet()

  Specified by:
    `getLengthFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setLengthFacet

    public void setLengthFacet(int length)

  Specified by:
    `setLengthFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getMinLengthFacet

    public int getMinLengthFacet()

  Specified by:
    `getMinLengthFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setMinLengthFacet

    public void setMinLengthFacet(int minLength)

  Specified by:
    `setMinLengthFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getMaxLengthFacet

    public int getMaxLengthFacet()

  Specified by:
    `getMaxLengthFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setMaxLengthFacet

    public void setMaxLengthFacet(int maxLength)

  Specified by:
    `setMaxLengthFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getMinExclusiveFacet

    public java.lang.String getMinExclusiveFacet()

  Specified by:
    `getMinExclusiveFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setMinExclusiveFacet

    public void setMinExclusiveFacet(java.lang.String literal)

  Specified by:
    `setMinExclusiveFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getMaxExclusiveFacet

    public java.lang.String getMaxExclusiveFacet()

  Specified by:
    `getMaxExclusiveFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setMaxExclusiveFacet

    public void setMaxExclusiveFacet(java.lang.String literal)

  Specified by:
    `setMaxExclusiveFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getMinInclusiveFacet

    public java.lang.String getMinInclusiveFacet()

  Specified by:
    `getMinInclusiveFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setMinInclusiveFacet

    public void setMinInclusiveFacet(java.lang.String literal)

  Specified by:
    `setMinInclusiveFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### getMaxInclusiveFacet

    public java.lang.String getMaxInclusiveFacet()

  Specified by:
    `getMaxInclusiveFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

### setMaxInclusiveFacet

    public void setMaxInclusiveFacet(java.lang.String literal)

  Specified by:
    `setMaxInclusiveFacet` in interface `BasicExtendedMetaData.EClassifierExtendedMetaData`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.